/* -----------------------------------------------------------------------

   Grappelli
   * http://code.google.com/p/django-grappelli/
   
   Based on Django Admin Interface
   * http://www.djangoproject.com
   
   Developed for Mozilla Firefox 3.0+ / using CSS 3 Specifications
   
   * See README for instructions on how to use Grappelli.
   * For credits and origins, see AUTHORS.
   
   * Copyright (c) 2008, vonautomatisch werkstaetten. All rights reserved.
     See LICENSE for more info.

----------------------------------------------------------------------- */


/* Modules
----------------------------------------------------------------------- */
.module {
    margin-bottom: 5px;
    border: 1px solid #ddd !important;
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
    background: #fff url(../../img/grappelli/bg_module_reverse.gif) 0 0 repeat-x;
}
.index .module {
    margin-bottom: 10px !important;
}
#content-main .module {
    background: #fafafa url(../../img/grappelli/bg_module_reverse.gif) 0 0 repeat-x;
}
#recent-actions-module p {
    color: #999; font-size: 11px; font-style: italic;
}
.module h2, .module caption {
    padding: 8px 5px 7px 10px !important;
    font-size: 12px !important; color: #666 !important;
    border-bottom: 1px solid #ddd;
    -moz-border-radius-topleft: 5px; -webkit-border-top-left-radius: 5px;
    -moz-border-radius-topright: 5px; -webkit-border-top-right-radius: 5px;
    background: transparent url(../../img/grappelli/bg_module_reverse.gif) 0 0 repeat-x !important;
}
.module caption .quiet {
    display: block;
    float: right;
    margin-right: 5px;
}
.module caption a {
    color: #666 !important;
}
.module caption a:hover {
    color: #659DC2 !important;
}
.module h3 {
    margin-bottom: 0;
}


/* Form-Rows
----------------------------------------------------------------------- */
.form-row {
    padding: 5px 10px !important;
    border-bottom: 1px solid #eaeaea !important;
    border-top: 1px solid #fff;
    -moz-border-radius-bottomleft: 0; -webkit-border-bottom-left-radius: 0;
    -moz-border-radius-bottomright: 0; -webkit-border-bottom-right-radius: 0;
}
.inline-related .form-row {
    -moz-border-radius: 0; -webkit-border-radius: 0;
}
.form-row.last {
    border-bottom: none;
}
fieldset > div:first-child {
    border-top: none !important;
}
fieldset > div:last-child {
    border-bottom: none !important;
    -moz-border-radius-bottomleft: 5px !important; -webkit-border-bottom-left-radius: 5px !important;
    -moz-border-radius-bottomright: 5px !important; -webkit-border-bottom-right-radius: 5px !important;
}


/* Collapsable Basics
----------------------------------------------------------------------- */

h2.collapse-toggle, h3.collapse-toggle, h4.collapse-toggle {
    display: block !important;
    background-color: transparent !important;
    background-position: 0 0 !important;
    background-repeat: no-repeat !important;
}
a.collapse-toggle:link, a.collapse-toggle:visited {
    color:#95ADCD;
}


/* Collapsed Fieldsets
----------------------------------------------------------------------- */

fieldset.collapsed {
    display: block !important;
    border: none !important;
    background: transparent url(../../img/grappelli/bg_fieldset.gif) 0 100% repeat-x !important;
}
fieldset.collapsed:hover {
    background: transparent url(../../img/grappelli/bg_fieldset_hover.gif) 0 100% repeat-x !important;
}

/* H2 in Fieldsets ----------------------- */
fieldset h2 {
    margin: 0; padding: 8px 5px 7px 10px !important;
    color: #666; font-size: 12px !important; line-height: 13px !important; font-weight: bold !important;
}
fieldset.collapsed h2.collapse-toggle, fieldset.collapse-open h2.collapse-toggle {
    display: block !important;
    margin: 0; padding: 8px 5px 7px 40px !important;
    color: #a1a8ab !important;
    border: 1px solid #d5dfe3;
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
    cursor: pointer;
}

fieldset.collapsed.collapse-closed h2.collapse-toggle {
    background-image: url(../../img/grappelli/icon_fieldset_open.gif) !important;
}
fieldset.collapse-closed h2.collapse-toggle:hover {
    background-image: url(../../img/grappelli/icon_fieldset_hover.gif) !important;
}
fieldset.collapse-open h2.collapse-toggle {
    color: #666 !important;
    border: none;
    border-bottom: 1px solid #ddd;
    -moz-border-radius-bottomleft: 0 !important; -webkit-border-bottom-left-radius: 0 !important;
    -moz-border-radius-bottomright: 0 !important; -webkit-border-bottom-right-radius: 0 !important;
    background-image: url(../../img/grappelli/icon_fieldset_close.gif) !important;
}


/* Inline Groups
----------------------------------------------------------------------- */

.inline-group {
    position: relative;
    margin: 6px 1px 7px !important; padding: 0 !important;
    border: 3px solid #ebebeb !important;
    -moz-border-radius: 7px; -webkit-border-radius: 7px;
    outline: 1px solid #cccccc;
    -moz-outline-radius: 7px; -webkit-outline-radius: 7px;
    background: #ebebeb url(../../img/grappelli/bg_inline-group_reverse.gif) 0 0 repeat-x !important;
}
.inline-group.collapsed {
    background: url(../../img/grappelli/bg_inline-group.gif) 0 0 repeat-x !important;
}
.inline-group.collapsed:hover {
    background: url(../../img/grappelli/bg_inline-group_reverse.gif) 0 0 repeat-x !important;
}
.inline-group.collapse-open {
    -moz-border-radius: 7px !important;
}
.inline-group .form-row {
    padding-left: 8px !important;
    background: #fafafa !important;
}
.inline-group .inline-related fieldset.collapse-open + fieldset .form-row {
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
}
.inline-group .inline-related fieldset.collapse-closed + fieldset .form-row {
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
}

/* H2 in Inline-Groups ----------------------- */
.inline-group h2 {
    padding: 6px 5px 5px 10px !important;
    font-size: 12px !important; line-height: 13px !important; font-weight: bold;
}
.inline-group h2.collapse-toggle {
    margin: 0; padding: 6px 5px 5px 38px !important;
    color: #fafafa; font-size: 12px; line-height: 13px !important; font-weight: bold;
    border: 1px solid #aaacad;
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
    cursor: pointer !important;
}
.inline-group.collapsed h2.collapse-toggle {
    background-image: url(../../img/grappelli/icon_inline-group_open.gif) !important;
}
.inline-group.collapsed h2.collapse-toggle:hover {
    background-image: url(../../img/grappelli/icon_inline-group_hover.gif) !important;
}
.inline-group h2.collapse-toggle {
    -moz-border-radius-bottomleft: 5px; -webkit-border-bottom-left-radius: 5px;
    background-image: url(../../img/grappelli/icon_inline-group_close.gif) !important;
}


/* Inline-Related H2 + Fieldset
----------------------------------------------------------------------- */

.inline-group.collapsed .inline-related {
    display: none !important;
}

.inline-related {
    position: relative; display: block;
    margin: 3px 0 0 !important; padding: 0;
    border: none;
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
    background: transparent url(../../img/grappelli/bg_inline-related_reverse.gif) 0 0 repeat-x !important;
}

.inline-related.collapsed, .inline-related fieldset.collapsed {
    background: transparent url(../../img/grappelli/bg_inline-related.gif) 0 0 repeat-x !important;
}
.inline-related.collapsed:hover, .inline-related fieldset.collapsed:hover {
    background: transparent url(../../img/grappelli/bg_inline-related_hover.gif) 0 0 repeat-x !important;
}

.inline-group h2 + .inline-related {
    margin-top: 2px !important;
}
.inline-group > .inline-related:last-child {
    margin-bottom: 0 !important;
}

/* Inline-Related Fieldsets ----------------------- */
.inline-related.collapsed fieldset {
    display: none !important;
}
.inline-related fieldset {
    margin: 0 !important; display: block !important;
    border-color: #bbb !important;
    -moz-border-radius-topleft: 5px; -webkit-border-top-left-radius: 5px;
    -moz-border-radius-topright: 5px; -webkit-border-top-right-radius: 5px;
}
.inline-related fieldset + fieldset {
    margin: -1px 0 0 0 !important;
}
.inline-related h3 + * + fieldset {
    border-top: none !important;
    -moz-border-radius-topleft: 0 !important; -webkit-border-top-left-radius: 0 !important;
    -moz-border-radius-topright: 0 !important; -webkit-border-top-right-radius: 0 !important;
}
.inline-related fieldset.collapse-closed {
    -moz-border-radius-topleft: 5px !important; -webkit-border-top-left-radius: 5px !important;
    -moz-border-radius-topright: 5px !important; -webkit-border-top-right-radius: 5px !important;
}

/* Inline-Related H3 ----------------------- */
.inline-related h3 {
    margin: 0 !important; padding: 5px 5px 4px 37px !important;
    color: #666 !important; font-size: 11px !important; line-height: 15px !important; font-weight: bold; text-align: left;
    border: 1px solid #bbb;
    border-bottom: 1px solid #ddd !important;
    -moz-border-radius-topleft: 5px; -webkit-border-top-left-radius: 5px;
    -moz-border-radius-topright: 5px; -webkit-border-top-right-radius: 5px;
    background-color: transparent;
}
.inline-related h3.collapse-toggle {
    margin: 0 !important; padding: 5px 5px 4px 37px !important;
    cursor: pointer;
}
.inline-related.collapsed h3.collapse-toggle {
    border: 1px solid #ccc !important;
    -moz-border-radius: 5px !important; -webkit-border-radius: 5px !important;
    background-image: url(../../img/grappelli/icon_inline-related_open.gif) !important;
}
.inline-related.collapsed h3.collapse-toggle:hover {
    background-image: url(../../img/grappelli/icon_inline-related_hover.gif) !important;
}
.inline-related h3.collapse-toggle {
    background-image: url(../../img/grappelli/icon_inline-related_close.gif) !important;
}

.inline-related h3 b {
    display: inline !important;
    color: #a1a8ab !important; font-weight: bold !important;
}


/* Inline-Related Fieldset + H2
----------------------------------------------------------------------- */

.inline-related fieldset h2 {
    margin: 0 !important; padding: 5px 5px 5px 8px !important;
    color: #666 !important; font-size: 11px !important; font-weight: bold; text-align: left;
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
    -moz-border-radius-bottomleft: 0; -webkit-border-bottom-left-radius: 0;
    -moz-border-radius-bottomright: 0; -webkit-border-bottom-right-radius: 0;
    border: none;
    border-bottom: 1px solid #ddd !important;
    background-color: transparent !important;
}
.inline-related fieldset h2.collapse-toggle {
    padding: 5px 5px 5px 37px !important;
    border: 1px solid #bbb !important;
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
    cursor: pointer !important;
}

.inline-related fieldset.collapse-closed h2.collapse-toggle {
    color: #a1a8ab !important;
    border: 1px solid #ccc !important;
    background-image: url(../../img/grappelli/icon_inline-related_fieldset_open.gif) !important;
}
.inline-related fieldset.collapse-closed h2.collapse-toggle:hover {
    background-image: url(../../img/grappelli/icon_inline-related_fieldset_hover.gif) !important;
}
.inline-related fieldset.collapse-open h2.collapse-toggle {
    border: none !important;
    border-bottom: 1px solid #ddd !important;
    -moz-border-radius-bottomleft: 0 !important; -webkit-border-bottom-left-radius: 0 !important;
    -moz-border-radius-bottomright: 0 !important; -webkit-border-bottom-right-radius: 0 !important;
    background-image: url(../../img/grappelli/icon_inline-related_fieldset_close.gif) !important;
}


/* Inline-Item Tools
----------------------------------------------------------------------- */

ul.inline-item-tools {
    display: block !important;
    position: absolute; top: 1px; right: 1px;
    margin: 0; padding: 0;
    border-left: 1px solid #a5a7a8;
}
.inline-related ul.inline-item-tools {
    border-left: 1px solid #e0e0e0;
}
ul.inline-item-tools li {
    float: left;
    margin: 0; padding: 0;
    width: 25px; height: 24px;
    font-weight: bold !important;
    border-left: 1px solid #b9bbbd;
    border-right: 1px solid #a5a7a8;
    background: transparent !important;
    list-style-type: none !important;
    vertical-align: bottom !important;
}
.inline-related ul.inline-item-tools li {
    border-left: 1px solid #f5f5f5;
    border-right: 1px solid #e0e0e0;
}
ul.inline-item-tools li:last-child {
    border-right: none;
}
ul.inline-item-tools li label {
    position: relative; top: 2px;
    margin-left: 5px;
    font-weight: bold !important;
}

.inline-group ul.inline-item-tools a {
    position: relative; display: block;
    padding: 0 !important;
    width: 25px; height: 24px;
    font-size: 11px !important; line-height: 13px !important;
    background-position: 50% 50% !important;
    background-repeat: no-repeat;
}

.inline-group ul.inline-item-tools a:link, .inline-group ul.inline-item-tools a:visited {
    background-color: transparent;
}
.inline-group ul.inline-item-tools a:hover, .inline-group ul.inline-item-tools a:active {
    background-color: #65a3c2;
}

.inline-related ul.inline-item-tools li:last-child a {
    border-right: none;
}
.inline-related ul.inline-item-tools a:link, .inline-related ul.inline-item-tools a:visited {
    background-color: transparent;
}
.inline-related.collapsed ul.inline-item-tools a:link, .inline-related.collapsed ul.inline-item-tools a:visited {
    background-color: transparent;
}
.inline-related ul.inline-item-tools a:hover, .inline-related ul.inline-item-tools a:active, 
.inline-related.collapsed ul.inline-item-tools a:hover, .inline-related.collapsed ul.inline-item-tools a:active {
    background-color: #65a3c2;
}
.inline-related ul.inline-item-tools a.deletelink:hover, .inline-related ul.inline-item-tools a.deletelink:active {
    background-color: #cc3d3d;
}

ul.inline-item-tools li:last-child a, 
.inline-related.collapsed ul.inline-item-tools li:last-child a {
    border-right: none;
    -moz-border-radius-topright: 3px; -webkit-border-top-right-radius: 3px;
    -moz-border-radius-bottomright: 3px; -webkit-border-bottom-right-radius: 3px;
}
.inline-related ul.inline-item-tools li:last-child a {
    -moz-border-radius-bottomright: 0; -webkit-border-bottom-right-radius: 0;
}

h3.collapse-toggle + ul.inline-item-tools {
    position: absolute; display: block !important;
    margin: 0; padding: 0;
}

.inline-related.tabular td.inline-item-tools ul.inline-item-tools {
    position: relative; float: right; clear: both !important; top: 0; right: 0;
    padding-right: 0 !important;
}
.inline-related.tabular td.inline-item-tools ul.inline-item-tools li:last-child a {
    -moz-border-radius-bottomright: 0; -webkit-border-bottom-right-radius: 0;
}

/* Inline Item Tools - Actions ----------------------- */
ul.inline-item-tools a.draghandler:link, ul.inline-item-tools a.draghandler:visited {
    background-image: url(../../img/grappelli/icon_inline-item-tools_draghandler.png);
}
ul.inline-item-tools a.draghandler:hover, ul.inline-item-tools a.draghandler:active {
    background-image: url(../../img/grappelli/icon_inline-item-tools_draghandler_hover.png);
}
.predelete-items a.draghandler, .predelete-item a.draghandler {
    display: none !important;
}

ul.inline-item-tools a.viewsitelink:link, ul.inline-item-tools a.viewsitelink:visited {
    background-image: url(../../img/grappelli/icon_inline-item-tools_viewsitelink.png);
}
ul.inline-item-tools a.viewsitelink:hover, ul.inline-item-tools a.viewsitelink:active {
    background-image: url(../../img/grappelli/icon_inline-item-tools_viewsitelink_hover.png);
}

ul.inline-item-tools a.deletelink:link, ul.inline-item-tools a.deletelink:visited {
    background-image: url(../../img/grappelli/icon_inline-item-tools_deletelink.png) !important;
}
ul.inline-item-tools a.deletelink:hover, ul.inline-item-tools a.deletelink:active {
    background-image: url(../../img/grappelli/icon_inline-item-tools_deletelink_hover.png) !important;
}

ul.inline-item-tools a.addhandler {
    background-image: url(../../img/grappelli/icon_inline-item-tools_addhandler.gif);
}

ul.inline-item-tools a.openhandler {
    background-image: url(../../img/grappelli/icon_inline-item-tools_openhandler.gif);
}

ul.inline-item-tools a.closehandler {
    background-image: url(../../img/grappelli/icon_inline-item-tools_closehandler.gif);
}



/* Inline-Related Tabular
----------------------------------------------------------------------- */

.tabular .module input[type=text], .tabular .module textarea {
    width: 150px;
}
.inline-related.tabular table .errorlist li {
    padding-left: 0;
}
.inline-related.tabular h3 {
    padding-left: 10px !important;
    background: none;
}

.inline-group.collapsed .legend {
    display: none;
}
.inline-group .legend {
    margin: 5px 0 -3px 0;
    color: #aaaaaa; font-size: 11px; font-weight: bold;
}
.inline-group .legend .form-cell {
    padding: 2px 0 2px 10px;
}
.inline-group .form-cell {
    display: table-cell;
    padding: 5px 0 5px 10px;
    width: 158px;
}

.inline-related.tabular .module {
    background-image: none !important;
}


/* UI Sortable: Placeholder & Sortable Helper ----------------------- */
.inline-group.collapsed .items {
    display: none;
}
.inline-group .items {
    margin-top: 4px !important;
}
.placeholder {
    margin: 5px 0;
    height: 26px;
}

.sortablehelper {
    position:absolute; top: -1000px; display: block;
    margin: 0; padding: 0;
    color: #666 !important;
}
.inline-group .items .sortablehelper h3 {
    margin: 0 !important; padding: 5px 0 4px 37px;
    color: #fff; font-size: 11px; line-height: 15px;
    border: 1px solid #bebebe !important;
    border-bottom: 1px solid #bebebe !important;
    -moz-border-radius: 5px; -webkit-border-radius: 5px;
    background: #65a3c2 !important;
}
.inline-group[name="inlinegrouptabular"] .items .sortablehelper h3 {
    padding-left: 10px !important;
}


/* Inline-Related Predelete
----------------------------------------------------------------------- */

.predelete-items .inline-related, .predelete-items .inline-related.collapsed:hover {
    background: transparent url(../../img/grappelli/bg_inline-related_predelete_reverse.gif) 0 0 repeat-x !important;
}
.predelete-items .inline-related.collapsed {
    background: transparent url(../../img/grappelli/bg_inline-related_predelete_open.gif) 0 0 repeat-x !important;
}
.predelete-items .inline-related fieldset {
    background: #faebeb !important;
}
.predelete-items .inline-related .form-row {
    border-top-color: #faf5f5 !important;
    border-bottom-color: #ebe4e4 !important;
}

.predelete-items .inline-related.collapsed h3.collapse-toggle {
    background-image: url(../../img/grappelli/icon_inline-related_predelete_open.gif) !important;
}
.predelete-items .inline-related.collapsed h3.collapse-toggle:hover {
    background-image: url(../../img/grappelli/icon_inline-related_predelete_hover.gif) !important;
}
.predelete-items .inline-related h3.collapse-toggle {
    background-image: url(../../img/grappelli/icon_inline-related_predelete_close.gif) !important;
}

.predelete-items .inline-related fieldset.collapsed { 
    background: transparent url(../../img/grappelli/bg_inline-related_predelete_fieldset.gif) 0 0 repeat-x !important;
}
.predelete-items .inline-related fieldset.collapsed:hover, .predelete-items .inline-related fieldset.module.collapse-open {
    background: transparent url(../../img/grappelli/bg_inline-related_predelete_fieldset_hover.gif) 0 0 repeat-x !important;
}
.predelete-items .inline-related fieldset.collapse-closed h2.collapse-toggle {
    background-image: url(../../img/grappelli/icon_inline-related_predelete_fieldset_open.gif) !important;
}
.predelete-items .inline-related fieldset.collapse-closed h2.collapse-toggle:hover {
    background-image: url(../../img/grappelli/icon_inline-related_predelete_fieldset_hover.gif) !important;
    }
.predelete-items .inline-related fieldset.collapse-open h2.collapse-toggle {
    background-image: url(../../img/grappelli/icon_inline-related_predelete_fieldset_close.gif) !important;
}
